#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'evaluasi.detail_evaluasi'}
#{/set}

<ol class="breadcrumb" style="background-color: #25B396 !important;">
    <li><a href="@{devpartner.BerandaDpCtr.index()}">&{'evaluasi.home'}</a></li>
    <li><a href="@{devpartner.LelangDpCtr.view(lelang.lls_id)}">&{'lelang_evaluasi.info_tender'}</a></li>
</ol>

#{tabmenuLelangDp tahapStarted/}
<div class="content">
<table class="table table-condensed">
    <tr>
        <th class="bg-warning" style="width: 25%">&{'evaluasi.nama_peserta'}</th>
        <td>${nama} <a href="@{devpartner.EvaluasiDpCtr.index(lelang.lls_id)}" class="badge pull-right"><i class="fa fa-arrow-left"></i> &{'tag.kembali_hasil_evaluasi'}</a></td>
    </tr>
    #{if lelang.preQualification}
    <tr>
        <th class="bg-warning">&{'doc.eoi'}</th>
        <td>
            #{if dokumen_eoi}
	        	<a href="${dokumen_eoi.downloadUrl}" class="badge" target="_blank" width="800" height="600">${dokumen_eoi.blob.blb_nama_file}</a>
        	#{/if}
        	#{else} <div class="alert alert-danger">&{'evaluasi.peserta_tidak_mengirim_doc'}</div> #{/else}
        </td>
    </tr>
    #{/if}
    #{if lelang.satuFile}
        <tr>
            <th class="bg-warning">&{'doc.teknis_harga'}</th>
            <td>
                #{if dokumen_penawaran}
                    #{if tahapStarted.tampilkanPenawaran && (lelang.metode.empanelment || lelang.sudahPembukaanPenawaran)}
                        <a href="${dokumen_penawaran.downloadUrl}" class="badge" target="_blank" width="800" height="600">${dokumen_penawaran.blob.blb_nama_file}</a>
                    #{/if}
                    #{else}
                        *******
                    #{/else}
                #{/if}
                #{else}
                    <div class="alert alert-danger">&{'evaluasi.peserta_tidak_mengirim_doc_penawaran'}</div>
                #{/else}
            </td>
        </tr>
    #{/if}
    #{else}
    <tr>
        <th class="bg-warning">&{'doc.teknis'}</th>
        <td>
        #{if dokumen}
            #{if tahapStarted.tampilkanPenawaran}
                <a href="${dokumen.downloadUrl}" class="badge" target="_blank" width="800" height="600">${dokumen.blob.blb_nama_file}</a>
            #{/if}
            #{else}
                *******
            #{/else}
        #{/if}
        #{else}
            <div class="alert alert-danger">&{'evaluasi.peserta_tidak_mengirim_doc_penawaran'}</div>
        #{/else}
        </td>
    </tr>
    <tr>
        <th class="bg-warning">&{'doc.harga'}</th>
        <td>
        #{if dokumen_harga}
            #{if tahapStarted.pembukaanHarga && lelang.sudahPembukaanPenawaran}
                <a href="${dokumen_harga.downloadUrl}" class="badge" target="_blank" width="800" height="600">${dokumen_harga.blob.blb_nama_file}</a>
            #{/if}
            #{else}
                *******
            #{/else}
        #{/if}
        #{else}
            <div class="alert alert-danger">&{'evaluasi.peserta_tidak_mengirim_doc_penawaran'}</div>
        #{/else}
        </td>
    </tr>
    #{/else}
    #{if lelang.metode.enableJv}
        <tr>
            <th class="bg-warning">&{'jv.pq'}</th>
            <td>
                #{devpartner.peserta.jv-pq-review lelang:lelang, tahapAktif:tahapNow, peserta:peserta/}
            </td>
        </tr>
        <tr>
            <th class="bg-warning">&{'jv.bid'}</th>
            <td>
                #{devpartner.peserta.jv-bid-review lelang:lelang, tahapAktif:tahapNow, peserta:peserta/}
            </td>
        </tr>
    #{/if}
</table>
#{alert /}
<div class="content">
	<ul class="nav nav-tabs">
        #{if lelang.preQualification}
			<li><a href="#kualifikasi" data-toggle="tab"><b>&{'evaluasi.shortlist'}</b></a></li>
        #{/if}

        #{if lelang.metode.empanelment}
            <li><a href="#empanelment" data-toggle="tab"><b>&{'evaluasi.empanelment'}</b></a></li>
        #{/if}
        #{else}
            <li><a href="#teknis" data-toggle="tab"><b>&{'evaluasi.teknis'}</b></a></li>
            <li><a href="#harga" data-toggle="tab"><b>&{'evaluasi.harga'}</b></a></li>
            #{if lelang.evaluasi.qcbs}
                <li><a href="#combined" data-toggle="tab"><b>&{'evaluasi.combined'}</b></a></li>
                <li><a href="#akhir" data-toggle="tab"><b>&{'evaluasi.final_ranking'}</b></a></li>
            #{/if}
            #{elseif !lelang.metode.evaluasi.autoCombinedEvaluation}
                <li><a href="#akhir" data-toggle="tab"><b>&{'evaluasi.final'}</b></a></li>
            #{/elseif}
            <li><a href="#contract" data-toggle="tab"><b>&{'evaluasi.contract'}</b></a></li>
        #{/else}
	</ul>
	<div class="tab-content">
        #{if lelang.preQualification}
            <div class="tab-pane fade" id="kualifikasi">
                #{if dokumen_eoi} #{include 'devpartner/evaluasi/evaluasi-kualifikasi.html'/} #{/if}
                #{else}<div class="alert alert-danger">&{'evaluasi.peserta_tidak_mengirim_doc'}</div> #{/else}
            </div>
        #{/if}

        #{if lelang.metode.empanelment}
            <div class="tab-pane fade" id="empanelment">
                #{if dokumen_penawaran}#{include 'devpartner/evaluasi/evaluasi-empanelment.html'/}#{/if}
                #{else}<div class="alert alert-danger">&{'evaluasi.peserta_tidak_mengirim_doc_penawaran'}</div> #{/else}
            </div>
        #{/if}
        #{else}
            <div class="tab-pane fade" id="teknis">
                #{if dokumen_penawaran || (dokumen && dokumen_harga)} #{include 'devpartner/evaluasi/evaluasi-teknis.html'/} #{/if}
                #{else}<div class="alert alert-danger">&{'evaluasi.peserta_tidak_mengirim_doc_penawaran'}</div>#{/else}
            </div>
            <div class="tab-pane fade" id="harga">
                #{if dokumen_penawaran || (dokumen && dokumen_harga)} #{include 'devpartner/evaluasi/evaluasi-harga.html'/} #{/if}
                #{else}<div class="alert alert-danger">&{'evaluasi.peserta_tidak_mengirim_doc_penawaran'}</div>#{/else}
            </div>
            #{if lelang.evaluasi.qcbs}
                <div class="tab-pane fade" id="combined">
                    #{if dokumen && dokumen_harga} #{include 'devpartner/evaluasi/evaluasi-combined.html'/} #{/if}
                    #{else}<div class="alert alert-danger">&{'evaluasi.tidak_diijinkan'}</div>#{/else}
                </div>
                <div class="tab-pane fade" id="akhir">
                    #{if dokumen && dokumen_harga} #{include 'devpartner/evaluasi/evaluasi-rank.html'/} #{/if}
                    #{else}<div class="alert alert-danger">&{'evaluasi.tidak_diijinkan'}</div>#{/else}
                </div>
            #{/if}
            #{elseif !lelang.metode.evaluasi.autoCombinedEvaluation}
                <div class="tab-pane fade" id="akhir">
                    #{if dokumen_penawaran || (dokumen && dokumen_harga)} #{include 'devpartner/evaluasi/evaluasi-akhir.html'/} #{/if}
                    #{else}<div class="alert alert-danger">&{'evaluasi.tidak_diijinkan'}</div>#{/else}
                </div>
            #{/elseif}
            <div class="tab-pane fade" id="contract">
                #{if dokumen_penawaran || (dokumen && dokumen_harga)} #{include 'devpartner/evaluasi/contract-negotiation.html'/} #{/if}
                #{else}<div class="alert alert-danger">&{'evaluasi.tidak_diijinkan'}</div>#{/else}
            </div>
        #{/else}
	</div>
</div>
</div>
#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/javascripts/autoNumeric.min.js'/}"></script>
<script type="text/javascript">
    var url = document.location.toString();
    if (url.match('#')) {
        $('.nav-tabs a[href="#'+url.split('#')[1]+'"]').tab('show') ;
    }

    if($('.money').length > 0) {
        new AutoNumeric.multiple('.money', { digitGroupSeparator: '.', decimalCharacter: ',' });
    }

    if($('.nilaiEvaluasi').length > 0) {
        new AutoNumeric.multiple('.nilaiEvaluasi', {
            maximumValue: "1000",
            minimumValue: "0",
            decimalCharacter: ",",
            digitGroupSeparator: "."
        });
    }

    if($('.urutan').length > 0) {
        new AutoNumeric.multiple('.urutan', {
            maximumValue: "100",
            minimumValue: "0",
            decimalPlaces: 0,
            decimalCharacter: ",",
            digitGroupSeparator: "."
        });
    }

    $(".harga-lulus").on("change", function () {

        var alasan = $(this).val();

        if(alasan === "true"){
            $("#alasan").hide();
        }else{
            $("#alasan").show();
        }

    });

    $.fn.toggleCheck=function() {
       if(this.prop('tagName') === 'INPUT' && !this.is(':disabled')) {
           $(this).prop('checked', !($(this).is(':checked')));
       }
    }
    $(document).ready(function() {
        $(".evaluasi-check").click(function(event){event.stopPropagation()});
    })

    #{if allow_nego}
    $(document).ready(function() {
        toggleNego();
        $("#berhasilNego").on('click', function() {
            toggleNego();
        });
        $("#btnNego").on('click', function() {
            if ($("#berhasilNego").is(":checked")) {
                return confirm('&{'lelang_evaluasi.negosiasi_berhasil'}');
            } else {
                #{if lastCandidate}
                    return confirm('&{'lelang_evaluasi.negosiasi_gagal_terakhir'}');
                #{/if}
                #{elseif lelang.metode.evaluasi.cqs || lelang.metode.evaluasi.qbs}
                    return confirm('&{'lelang_evaluasi.negosiasi_gagal_jadwal_ulang'}');
                #{/elseif}
                #{else}
                    return confirm('&{'lelang_evaluasi.negosiasi_gagal'}');
                #{/else}
            }
        });
    })

    function toggleNego() {
        if ($("#berhasilNego").is(":checked")) {
            $("#hargaNego").show();
            $("#alasan-nego").hide();
        } else {
            $("#hargaNego").hide();
            $("#alasan-nego").show();
        }
    }
    #{/if}
</script>
#{/set}